View Issue Details

IDProjectCategoryView StatusLast Update
0031095Open CASCADEOCCT:Codingpublic2020-12-02 17:12
Reporterabv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031095: Debugging - add code for display of TCollection_AsciiString as UTF-8 in Visual Studio debugger visualizer
DescriptionSince TCollection_AsciiString can contain string in UTF-8 format, it can be useful to have an option to show its content as UTF-8 in Visual Studio debugger
Steps To Reproduce1. Run DRAW under debugger
2. Put breakpoint at function ReadStep() in XSDRAW_Commands.cxx
3. Execute:
   pload ALL
   ReadStep D 不幸な名前.stp
4. Expand variable "fnom" in debugger and check that it shows the name correctly in [utf-8] line
TagsNo tags attached.
Test case numberNot required

Attached Files

  • bug31095_illustration.png (8,970 bytes)

Relationships

child of 0024812 closedapn Provide VS2012 debugger visualizer for OCCT types 

Activities

abv

2019-10-22 16:46

manager  

bug31095_illustration.png (8,970 bytes)

git

2020-10-09 10:34

administrator   ~0095859

Branch CR31095 has been created by abv.

SHA-1: e858cab85361371658a4274af7fc926d9d41f53c


Detailed log of new commits:

Author: abv
Date: Fri Oct 9 10:37:37 2020 +0300

    0031095: Debugging - add code for display of TCollection_AsciiString as UTF-8 in Visual Studio debugger visualizer

abv

2020-10-09 10:38

manager   ~0095860

Improved occt.natvis is pushed to branch CR31095, please review

bugmaster

2020-10-17 13:20

administrator   ~0096023

Combination -
OCCT branch : IR-2020-10-16
master SHA - ae9f4b64cacf0df612944b3694a3bdfa5f1f29cf
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-16 SHA - fcb5abe005e152f7f923f4cf6c02acb07c027cdc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18027.820000000127 / 18057.130000000117 [-0.16%]
Products
Total CPU difference: 12174.330000000093 / 12182.170000000115 [-0.06%]
Windows-64-VC14:
OCCT
Total CPU difference: 19740.03125 / 19746.828125 [-0.03%]
Products
Total CPU difference: 13564.71875 / 13586.625 [-0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-10-24 12:42

administrator   ~0096235

Branch CR31095 has been deleted by inv.

SHA-1: e858cab85361371658a4274af7fc926d9d41f53c

Related Changesets

occt: master d7308355

2020-10-09 07:37:37

abv


Committer: bugmaster Details Diff
0031095: Debugging - add code for display of TCollection_AsciiString as UTF-8 in Visual Studio debugger visualizer Affected Issues
0031095
mod - dox/debug/occt.natvis Diff File

Issue History

Date Modified Username Field Change
2019-10-22 16:42 abv New Issue
2019-10-22 16:42 abv Assigned To => kgv
2019-10-22 16:46 abv File Added: bug31095_illustration.png
2020-09-11 15:34 utverdov Target Version 7.5.0 => 7.6.0
2020-10-06 22:40 abv Assigned To kgv => abv
2020-10-06 22:40 abv Target Version 7.6.0 => 7.5.0
2020-10-09 10:34 git Note Added: 0095859
2020-10-09 10:38 abv Note Added: 0095860
2020-10-09 10:38 abv Assigned To abv => kgv
2020-10-09 10:38 abv Status new => resolved
2020-10-09 10:38 abv Steps to Reproduce Updated
2020-10-09 10:39 abv Steps to Reproduce Updated
2020-10-09 10:41 kgv Assigned To kgv => bugmaster
2020-10-09 10:41 kgv Status resolved => reviewed
2020-10-09 10:43 kgv Relationship added child of 0024812
2020-10-17 13:20 bugmaster Note Added: 0096023
2020-10-17 13:20 bugmaster Status reviewed => tested
2020-10-17 13:23 bugmaster Test case number => Not required
2020-10-17 13:31 bugmaster Changeset attached => occt master d7308355
2020-10-17 13:31 bugmaster Status tested => verified
2020-10-17 13:31 bugmaster Resolution open => fixed
2020-10-24 12:42 git Note Added: 0096235
2020-12-02 16:22 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed